---
title: Guardrails weergeven | RunAPI
description: Actieve guardrails in het huidige account weergeven.
url: https://runapi.ai/nl/docs/api/management/guardrails/list.md
canonical: https://runapi.ai/nl/docs/api/management/guardrails/list
locale: nl
---

> HTML-versie: https://runapi.ai/nl/docs/api/management/guardrails/list
> Site-index voor agents: https://runapi.ai/llms.txt

# Guardrails weergeven

Actieve guardrails in het huidige account weergeven.

## Eindpunt

GET /api/v1/guardrails

Basis-URL: https://runapi.ai

API-versie: v1

Authenticatie: Authorization: Bearer YOUR_MANAGEMENT_API_KEY


Autorisatie: Vereist een Management API-sleutel met accountbeheerdersrechten.

## Verzoek

Stuur waarden alleen op de vermelde verzoeklocatie.

### Queryparameters

```json
{
  "limit": {
    "default": 20,
    "description": "Maximum aantal geretourneerde guardrails per pagina.",
    "max": 100,
    "min": 1,
    "required": false,
    "type": "integer"
  },
  "page": {
    "default": 1,
    "description": "Paginanummer met offset. Waarden beginnen bij 1.",
    "min": 1,
    "required": false,
    "type": "integer"
  }
}
```

## Succesvol antwoord

HTTP 200 - GET /api/v1/guardrails

```json
{
  "guardrails": [
    {
      "allowed_models": [
        "gpt-5.4"
      ],
      "allowed_providers": [],
      "assignment_count": 1,
      "blocked_models": [],
      "blocked_providers": [],
      "created_at": "2026-07-27T10:00:00.000Z",
      "credit_limit_cents": 50000,
      "credit_limit_reset_interval": "monthly",
      "description": "Production policy",
      "enabled": true,
      "id": "guardrail_123",
      "model_budgets": [
        {
          "credit_limit_cents": 10000,
          "credit_limit_reset_interval": "monthly",
          "match_mode": "include",
          "models": [
            "gpt-5.4"
          ]
        }
      ],
      "name": "Production budget"
    }
  ],
  "pagination": {
    "limit": 20,
    "page": 1,
    "pages": 1,
    "total": 1
  }
}
```

## Foutrespons (401)

HTTP 401

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Authentication required"
}
```

## Foutrespons (403)

HTTP 403

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Management API key required"
}
```

## Foutrespons (403)

HTTP 403

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Account admin required"
}
```

## Foutrespons (400)

HTTP 400

### Responsschema

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "Leesbare foutmelding.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "Leesbare validatiesamenvatting.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Validatieberichten gekoppeld aan het openbare aanvraagveld, met een reeks leesbare tekenreeksen per veld.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### Responsvoorbeeld

```json
{
  "error": "page must be an integer"
}
```

## cURL-voorbeeld



### curl

```curl
curl -X GET https://runapi.ai/api/v1/guardrails?page=1&limit=20 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'
```

## Gerelateerde referentie

- [Guardrails](https://runapi.ai/nl/docs/api/management/guardrails.md)
- [Guardrail-object](https://runapi.ai/nl/docs/api/management/guardrails/object.md)

---

## Meer van RunAPI

- [Home](https://runapi.ai/nl/.md)
- [Modelcatalogus](https://runapi.ai/nl/models.md)
- [Prijzen](https://runapi.ai/nl/pricing.md)
- [Providers](https://runapi.ai/nl/models)
- [Documentatie](https://runapi.ai/nl/docs/guides)
- [SDK's](https://runapi.ai/nl/sdk.md)
- [CLI](https://runapi.ai/nl/cli.md)
- [MCP Server](https://runapi.ai/nl/mcp.md)
- [Claude Code vs Cursor](https://runapi.ai/nl/claude-code-vs-cursor.md)
- [Cursor API instellen](https://runapi.ai/nl/cursor-api-setup.md)
- [RunAPI vs OpenRouter](https://runapi.ai/nl/openrouter-alternative.md)
- [Enterprise](https://runapi.ai/nl/contact.md)
- [Contact](https://runapi.ai/nl/contact.md)
- [Voorwaarden](https://runapi.ai/nl/terms.md)
- [Privacy](https://runapi.ai/nl/privacy.md)
- [Site-index voor agents](https://runapi.ai/llms.txt)

Contact: contact@runapi.ai

## Gestructureerde gegevens

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/nl",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/nl/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/nl",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/nlicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "TechArticle",
    "headline": "Guardrails weergeven",
    "description": "Actieve guardrails in het huidige account weergeven.",
    "url": "https://runapi.ai/nl/docs/api/management/guardrails/list",
    "mainEntityOfPage": "https://runapi.ai/nl/docs/api/management/guardrails/list"
  }
]
```
